/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

/*
 * VendingMachineUI.java
 *
 * Created on Mar 4, 2010, 9:01:47 PM
 */
package imm.se.vending.gui;

import imm.se.vending.model.Fruit;
import imm.se.vending.model.VendingMachine;
import imm.se.vending.ui.VendingMachineTextUI;
import java.awt.Color;
import java.io.IOException;
import java.util.Observable;

/**
 *
 * @author hub
 */
public class VendingMachineUI extends javax.swing.JFrame implements java.util.Observer {

    private VendingMachine vendingMachine = new VendingMachine(10, 10);
    private int maxBananas = 0;
    private int maxApples = 0;

    /** Creates new form VendingMachineUI */
    public VendingMachineUI(VendingMachine machine) {
        initComponents();
        vendingMachine = machine;
        vendingMachine.addObserver(this);
        priceApple.setText("" + vendingMachine.getPrice(Fruit.APPLE));
        priceBanana.setText("" + vendingMachine.getPrice(Fruit.BANANA));
        maxBananas = machine.getNumberOfFruit(Fruit.BANANA);
        maxApples = machine.getNumberOfFruit(Fruit.APPLE);
        displayState();
    }

    private void displayState() {
        inputMoney.setText("" + vendingMachine.getCurrentMoney());
        totalMoney.setText("" + vendingMachine.getTotalMoney());
        returnMoney.setText("" + vendingMachine.getRest());
        statusBananas.setValue(vendingMachine.getNumberOfFruit(Fruit.BANANA) * 100 / maxBananas);
        statusApples.setValue(vendingMachine.getNumberOfFruit(Fruit.APPLE) * 100 / maxApples);
        if (vendingMachine.getDispensedItem() == Fruit.APPLE) {
            dispenser.setText("Apple");
        }
        if (vendingMachine.getDispensedItem() == Fruit.BANANA) {
            dispenser.setText("Banana");
        }
        if (vendingMachine.getDispensedItem() == null) {
            dispenser.setText("");
        }
        if (Fruit.APPLE == vendingMachine.selectedFruit()) {
            dispenseApple.setForeground(Color.red);
        } else {
            dispenseApple.setForeground(Color.black);

        }
        if (Fruit.BANANA == vendingMachine.selectedFruit()) {
            dispenseBanana.setForeground(Color.red);
        } else {
            dispenseBanana.setForeground(Color.black);

        }

        if (vendingMachine.hasFruit(Fruit.APPLE)) {
            emptyApplesIndicator.setText("");
        } else {
            emptyApplesIndicator.setText("empty");
        }
        if (vendingMachine.hasFruit(Fruit.BANANA)) {
            emptyBananasIndicator.setText("");
        } else {
            emptyBananasIndicator.setText("empty");
        }
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        panelDispenseFruit = new javax.swing.JPanel();
        dispenser = new javax.swing.JTextField();
        jLabel2 = new javax.swing.JLabel();
        jLabel4 = new javax.swing.JLabel();
        statusBananas = new javax.swing.JProgressBar();
        statusApples = new javax.swing.JProgressBar();
        panelEnterMoney = new javax.swing.JPanel();
        oneCrown = new javax.swing.JButton();
        twoCrowns = new javax.swing.JButton();
        inputMoney = new javax.swing.JTextField();
        jLabel3 = new javax.swing.JLabel();
        returnMoney = new javax.swing.JTextField();
        fiveCrowns = new javax.swing.JButton();
        dispenseApple = new javax.swing.JButton();
        dispenseBanana = new javax.swing.JButton();
        priceBanana = new javax.swing.JTextField();
        priceApple = new javax.swing.JTextField();
        jLabel5 = new javax.swing.JLabel();
        jLabel6 = new javax.swing.JLabel();
        jLabel7 = new javax.swing.JLabel();
        emptyApplesIndicator = new javax.swing.JLabel();
        cancel = new javax.swing.JButton();
        emptyBananasIndicator = new javax.swing.JLabel();
        panelTotalMoney = new javax.swing.JPanel();
        lblTotalMoney = new javax.swing.JLabel();
        totalMoney = new javax.swing.JTextField();
        totalMoney.setEditable(false);

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        setTitle("Vending Machine");

        panelDispenseFruit.setBorder(javax.swing.BorderFactory.createLineBorder(new java.awt.Color(0, 0, 0)));

        dispenser.setEditable(false);

        jLabel2.setText("Bananas");

        jLabel4.setText("Apples");

        statusBananas.setOrientation(1);

        statusApples.setOrientation(1);

        javax.swing.GroupLayout gl_panelDispenseFruit = new javax.swing.GroupLayout(panelDispenseFruit);
        panelDispenseFruit.setLayout(gl_panelDispenseFruit);
        gl_panelDispenseFruit.setHorizontalGroup(
            gl_panelDispenseFruit.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(gl_panelDispenseFruit.createSequentialGroup()
                .addGroup(gl_panelDispenseFruit.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(gl_panelDispenseFruit.createSequentialGroup()
                        .addGroup(gl_panelDispenseFruit.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(gl_panelDispenseFruit.createSequentialGroup()
                                .addGap(39, 39, 39)
                                .addComponent(jLabel2))
                            .addGroup(gl_panelDispenseFruit.createSequentialGroup()
                                .addGap(62, 62, 62)
                                .addComponent(statusBananas, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)))
                        .addGap(67, 67, 67)
                        .addGroup(gl_panelDispenseFruit.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(gl_panelDispenseFruit.createSequentialGroup()
                                .addGap(12, 12, 12)
                                .addComponent(statusApples, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                            .addComponent(jLabel4)))
                    .addGroup(gl_panelDispenseFruit.createSequentialGroup()
                        .addContainerGap()
                        .addComponent(dispenser, javax.swing.GroupLayout.DEFAULT_SIZE, 229, Short.MAX_VALUE)))
                .addContainerGap())
        );
        gl_panelDispenseFruit.setVerticalGroup(
            gl_panelDispenseFruit.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(gl_panelDispenseFruit.createSequentialGroup()
                .addGap(27, 27, 27)
                .addGroup(gl_panelDispenseFruit.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel2)
                    .addComponent(jLabel4))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(gl_panelDispenseFruit.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                    .addComponent(statusApples, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(statusBananas, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(55, 55, 55)
                .addComponent(dispenser, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        panelEnterMoney.setBorder(javax.swing.BorderFactory.createLineBorder(new java.awt.Color(0, 0, 0)));

        oneCrown.setText("DKK 1");
        oneCrown.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                oneCrownActionPerformed(evt);
            }
        });

        twoCrowns.setText("DKK 2");
        twoCrowns.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                twoCrownsActionPerformed(evt);
            }
        });

        inputMoney.setEditable(false);

        jLabel3.setText("Return");

        returnMoney.setEditable(false);

        fiveCrowns.setText("DKK 5");
        fiveCrowns.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                fiveCrownsActionPerformed(evt);
            }
        });

        dispenseApple.setText("Apple");
        dispenseApple.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                dispenseAppleActionPerformed(evt);
            }
        });

        dispenseBanana.setText("Banana");
        dispenseBanana.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                dispenseBananaActionPerformed(evt);
            }
        });

        priceBanana.setEditable(false);
        priceBanana.setBorder(null);

        priceApple.setEditable(false);
        priceApple.setBorder(null);

        jLabel5.setText("DKK");

        jLabel6.setText("DKK");

        jLabel7.setText("DKK");

        emptyApplesIndicator.setForeground(new java.awt.Color(255, 51, 51));
        emptyApplesIndicator.setText("empty");

        cancel.setText("Cancel");
        cancel.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cancelActionPerformed(evt);
            }
        });

        emptyBananasIndicator.setForeground(new java.awt.Color(255, 51, 51));
        emptyBananasIndicator.setText("empty");

        javax.swing.GroupLayout gl_panelEnterMoney = new javax.swing.GroupLayout(panelEnterMoney);
        panelEnterMoney.setLayout(gl_panelEnterMoney);
        gl_panelEnterMoney.setHorizontalGroup(
            gl_panelEnterMoney.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(gl_panelEnterMoney.createSequentialGroup()
                .addGroup(gl_panelEnterMoney.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(gl_panelEnterMoney.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                        .addGroup(gl_panelEnterMoney.createSequentialGroup()
                            .addContainerGap()
                            .addGroup(gl_panelEnterMoney.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                                .addComponent(emptyApplesIndicator)
                                .addComponent(emptyBananasIndicator))
                            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                            .addGroup(gl_panelEnterMoney.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING, false)
                                .addComponent(dispenseApple, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                .addComponent(dispenseBanana, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                            .addGroup(gl_panelEnterMoney.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                .addComponent(jLabel5)
                                .addComponent(jLabel7))
                            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                            .addGroup(gl_panelEnterMoney.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                                .addComponent(priceApple)
                                .addComponent(priceBanana, javax.swing.GroupLayout.DEFAULT_SIZE, 36, Short.MAX_VALUE))
                            .addGap(35, 35, 35))
                        .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, gl_panelEnterMoney.createSequentialGroup()
                            .addContainerGap()
                            .addGroup(gl_panelEnterMoney.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING, false)
                                .addGroup(javax.swing.GroupLayout.Alignment.LEADING, gl_panelEnterMoney.createSequentialGroup()
                                    .addComponent(jLabel3)
                                    .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                    .addComponent(returnMoney))
                                .addGroup(gl_panelEnterMoney.createSequentialGroup()
                                    .addGroup(gl_panelEnterMoney.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                                        .addComponent(inputMoney, javax.swing.GroupLayout.PREFERRED_SIZE, 92, javax.swing.GroupLayout.PREFERRED_SIZE)
                                        .addGroup(gl_panelEnterMoney.createSequentialGroup()
                                            .addComponent(oneCrown)
                                            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                                            .addComponent(twoCrowns)))
                                    .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                    .addComponent(fiveCrowns)))
                            .addGap(182, 182, 182)))
                    .addGroup(gl_panelEnterMoney.createSequentialGroup()
                        .addContainerGap()
                        .addComponent(cancel)))
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
            .addGroup(gl_panelEnterMoney.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, gl_panelEnterMoney.createSequentialGroup()
                    .addContainerGap(291, Short.MAX_VALUE)
                    .addComponent(jLabel6)
                    .addGap(115, 115, 115)))
        );
        gl_panelEnterMoney.setVerticalGroup(
            gl_panelEnterMoney.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(gl_panelEnterMoney.createSequentialGroup()
                .addContainerGap()
                .addComponent(inputMoney, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(12, 12, 12)
                .addGroup(gl_panelEnterMoney.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(oneCrown)
                    .addComponent(twoCrowns)
                    .addComponent(fiveCrowns))
                .addGap(26, 26, 26)
                .addGroup(gl_panelEnterMoney.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(dispenseBanana)
                    .addComponent(priceBanana, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jLabel5)
                    .addComponent(emptyBananasIndicator))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addGroup(gl_panelEnterMoney.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(dispenseApple)
                    .addComponent(priceApple, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jLabel7)
                    .addComponent(emptyApplesIndicator))
                .addGap(55, 55, 55)
                .addComponent(cancel)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addGroup(gl_panelEnterMoney.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel3)
                    .addComponent(returnMoney, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(15, Short.MAX_VALUE))
            .addGroup(gl_panelEnterMoney.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                .addGroup(gl_panelEnterMoney.createSequentialGroup()
                    .addGap(109, 109, 109)
                    .addComponent(jLabel6, javax.swing.GroupLayout.PREFERRED_SIZE, 36, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addContainerGap(137, Short.MAX_VALUE)))
        );

        lblTotalMoney.setText("Total money");

        javax.swing.GroupLayout gl_panelTotalMoney = new javax.swing.GroupLayout(panelTotalMoney);
        panelTotalMoney.setLayout(gl_panelTotalMoney);
        gl_panelTotalMoney.setHorizontalGroup(
            gl_panelTotalMoney.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(gl_panelTotalMoney.createSequentialGroup()
                .addContainerGap(209, Short.MAX_VALUE)
                .addGroup(gl_panelTotalMoney.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, gl_panelTotalMoney.createSequentialGroup()
                        .addComponent(lblTotalMoney)
                        .addGap(237, 237, 237))
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, gl_panelTotalMoney.createSequentialGroup()
                        .addComponent(totalMoney, javax.swing.GroupLayout.PREFERRED_SIZE, 106, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGap(229, 229, 229))))
        );
        gl_panelTotalMoney.setVerticalGroup(
            gl_panelTotalMoney.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(gl_panelTotalMoney.createSequentialGroup()
                .addContainerGap()
                .addComponent(lblTotalMoney)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addComponent(totalMoney, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(panelTotalMoney, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
            .addGroup(layout.createSequentialGroup()
                .addComponent(panelDispenseFruit, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(18, 18, 18)
                .addComponent(panelEnterMoney, javax.swing.GroupLayout.PREFERRED_SIZE, 271, javax.swing.GroupLayout.PREFERRED_SIZE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                .addComponent(panelTotalMoney, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                    .addComponent(panelDispenseFruit, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(panelEnterMoney, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addContainerGap())
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void oneCrownActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_oneCrownActionPerformed
        vendingMachine.input(1);
}//GEN-LAST:event_oneCrownActionPerformed

    private void twoCrownsActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_twoCrownsActionPerformed
        vendingMachine.input(2);
}//GEN-LAST:event_twoCrownsActionPerformed

    private void fiveCrownsActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_fiveCrownsActionPerformed
        vendingMachine.input(5);
}//GEN-LAST:event_fiveCrownsActionPerformed

    private void dispenseAppleActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_dispenseAppleActionPerformed
        vendingMachine.selectFruit(Fruit.APPLE);
}//GEN-LAST:event_dispenseAppleActionPerformed

    private void dispenseBananaActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_dispenseBananaActionPerformed
        vendingMachine.selectFruit(Fruit.BANANA);
}//GEN-LAST:event_dispenseBananaActionPerformed

    private void cancelActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cancelActionPerformed
        vendingMachine.cancel();
    }//GEN-LAST:event_cancelActionPerformed

    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) throws IOException {
        final VendingMachine machine = new VendingMachine(5, 5);
        if (args.length == 0 || (args.length == 1 && "2".equals(args[0]))) {
            java.awt.EventQueue.invokeLater(new Runnable() {

                public void run() {
                    new VendingMachineUI(machine).setVisible(true);
                }
            });
        }
        if (args.length == 1) {
            new VendingMachineTextUI(machine).mainLoop(System.in, System.out);
        }
    }
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton cancel;
    private javax.swing.JPanel panelEnterMoney;
    private javax.swing.JButton dispenseApple;
    private javax.swing.JButton dispenseBanana;
    private javax.swing.JTextField dispenser;
    private javax.swing.JLabel emptyApplesIndicator;
    private javax.swing.JLabel emptyBananasIndicator;
    private javax.swing.JButton fiveCrowns;
    private javax.swing.JTextField inputMoney;
    private javax.swing.JLabel lblTotalMoney;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JPanel panelTotalMoney;
    private javax.swing.JButton oneCrown;
    private javax.swing.JTextField priceApple;
    private javax.swing.JTextField priceBanana;
    private javax.swing.JTextField returnMoney;
    private javax.swing.JPanel panelDispenseFruit;
    private javax.swing.JProgressBar statusApples;
    private javax.swing.JProgressBar statusBananas;
    private javax.swing.JTextField totalMoney;
    private javax.swing.JButton twoCrowns;
    // End of variables declaration//GEN-END:variables

    public void update(Observable o, Object arg) {
        displayState();
    }
}
