package imm.se.vending.model;

class FruitSelectedState extends IdleState {

    Fruit selectedFruit;

    public FruitSelectedState(Fruit fruit) {
        selectedFruit = fruit;
    }

    @Override
    public void input(VendingMachine m, int i) {
        super.input(m, i);
        if (m.hasEnoughMoneyFor(selectedFruit)) {
            m.setIdleState();
            m.dispense(selectedFruit);
        }
    }

    @Override
    public void cancel(VendingMachine m) {
        m.setIdleState();
        super.cancel(m);
    }

    @Override
    public Fruit selectedFruit() {
        return selectedFruit;
    }
}
