package imm.se.vending.model;

class IdleState implements VendingMachineState {

    public void input(VendingMachine m, int i) {
        m.setCurrentMoney(m.getCurrentMoney() + i);
    }

	public void selectFruit(VendingMachine m, Fruit fruit) {
		if (!m.hasFruit(fruit)) {
			m.dispense(null);
			return;
		}
		if (m.hasEnoughMoneyFor(fruit)) {
			m.dispense(fruit);
		} else {
			m.setCurrentStateForFruit(fruit);
		}
	}

    public void cancel(VendingMachine m) {
        m.dispense(null);
    }

    public Fruit selectedFruit() {
        return null;
    }
}
