Feature: Buy fruit Declarative Version
	Description: A user buys a fruit from the vending machine
	Actors: User
	
	This version tries to be more declarative than the first version. This has the advantage
	that it reads better, but the disadvantage, that a lot of the details are kept in the 
	step definitions.

Scenario: Buy a fruit with enough money
	Given the vending machine has fruits
	When the user enters enough money for a fruit
	And the user selects a fruit
	Then the fruit will be dispensed
	And the machine returns the rest money
	And the machine remembers its earnings
	
Scenario: Selecting a fruit when not enough money is entered
	Given the vending machine has fruits
	When the user selects a fruit
	And the user enters enough money for the fruit
	Then the fruit will be dispensed
	And the machine returns the rest money
	And the machine remembers its earnings
	
Scenario: No fruit available
	Given the vending machine has no fruits
	When the user enters enough money for a fruit
	And the user selects the fruit
	Then nothing is dispensed
	And the machine returns the money
	And the machine has earned nothing

Scenario: No fruit available: select fruit first
	Given the vending machine has no fruits
	When the user selects a fruit
	And the user enters enough money for the fruit
	Then nothing is dispensed
	And no money is returned
	When the user cancels the operation
	Then the machine returns the money
	And the machine has earned nothing

Scenario: Selecting a fruit when not enough money is entered then selecting another fruit
	Given the vending machine has fruits
	And the user enters not enough money for the first fruit
	When the user selects the first fruit
	Then nothing is dispensed
	When the user selects a second fruit for which he entered enough money 
	Then the fruit will be dispensed
	And the machine returns the rest money
	And the machine remembers its earnings
