Feature: Buy fruit
	Description: A user buys a fruit from the vending machine
	Actors: User
	
Scenario: Buy a fruit with enough money
	Given the vending machine has 2 bananas and 2 apples
	And a banana costs 7 kr and an apple 3 kr
	When user Bob enters 1 kr
	And user Bob enters 5 kr
	And Bob presses the button for "APPLE"
	Then an "APPLE" is dispensed
	And 3 kr are returned
	And the machine has earned 3 kr
	
Scenario: Selecting a fruit when not enough money is entered
	Given the vending machine has 2 bananas and 2 apples
	And a banana costs 7 kr and an apple 3 kr
	When user Bob enters 5 kr
	And Bob presses the button for "BANANA"
	Then nothing is dispensed
	And no money is returned
	When user Bob enters 1 kr
	And user Bob enters 1 kr
	Then an "BANANA" is dispensed
	And no money is returned
	And the machine has earned 7 kr
	
Scenario: No fruit available
	Given the vending machine has 2 bananas and 0 apples
	And a banana costs 7 kr and an apple 3 kr
	When user Bob enters 3 kr
	And Bob presses the button for "APPLE"
	Then nothing is dispensed
	And 3 kr are returned
	And the machine has earned 0 kr

Scenario: No fruit available: select fruit first
	Given the vending machine has 2 bananas and 0 apples
	And a banana costs 7 kr and an apple 3 kr
	When Bob presses the button for "APPLE"
	And user Bob enters 3 kr
	Then nothing is dispensed
	And no money is returned
	When Bob presses the cancel button
	Then 3 kr are returned
	And the machine has earned 0 kr
	
